import { OnInit } from '@angular/core';
import { Router, Params, ActivatedRoute } from '@angular/router';
import { NavigationService } from '../../services/navigation/navigation.service';
interface IBreadcrumb {
    label: string;
    params: Params;
    url: string;
}
export declare class BreadcrumbComponent implements OnInit {
    private activatedRoute;
    private router;
    private navigationService;
    breadcrumbs: IBreadcrumb[];
    routeLabel: string;
    backButton: boolean;
    refreshButton: boolean;
    constructor(activatedRoute: ActivatedRoute, router: Router, navigationService: NavigationService);
    ngOnInit(): void;
    private getBreadcrumbs;
    goBack(): void;
    refresh(): void;
    private checkEvent;
}
export {};
