import { Injector } from '@angular/core';
import { NotificationType, NotificationService } from './notification.service';
import { TranslateService } from '@ngx-translate/core';
export declare class ToastNotificationService implements NotificationService {
    private injector;
    private translate;
    config: {
        closeButton: boolean;
        tapToDismiss: boolean;
        enableHtml: boolean;
        progressBar: boolean;
        newestOnTop: boolean;
        timeOut: number;
        positionClass: string;
        extendedTimeOut: number;
        disableTimeOut: boolean;
        maxOpened: number;
        easeTime: number;
    };
    constructor(injector: Injector, translate: TranslateService);
    showMessage(_message: string, _title?: string, type?: NotificationType): void;
}
