import { AbstractControl, ValidatorFn } from '@angular/forms';
export declare const REGEXT_VALIDATOR: {
    lowerCase: RegExp;
    upperCase: RegExp;
    digit: RegExp;
    specialChar: RegExp;
};
export declare class PassStrengthValidator {
    isUndefinedOrEmpty(control: AbstractControl): any | undefined;
    validate(criteria: string, regex: RegExp): ValidatorFn;
    confirm(password: string): ValidatorFn;
}
