import { OnInit } from '@angular/core';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { FormGroupUtils } from '../../../utils/form-group-utils';
export declare class TextAreaComponent implements OnInit {
    private formGroupUtils;
    private validatorUtils;
    name: string;
    placeholder: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    label: string;
    options: any;
    formGroup: any;
    isRequired: boolean;
    constructor(formGroupUtils: FormGroupUtils, validatorUtils: ValidatorUtils);
    ngOnInit(): void;
    getErrors(): any[];
}
