import { AsyncValidatorFn, FormControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { DataService } from '../views/crud/services/data.service';
export declare class ValidatorUtils {
    private translateService;
    constructor(translateService: TranslateService);
    getValidator(name: string, value: any): any;
    remoteValidator(service: DataService, serviceURL: string, name: string, path: string): AsyncValidatorFn;
    getErrors(control: FormControl, name: string, label: string): any[];
}
