import { OnInit, ViewContainerRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IDirty, Definition } from '@xdf/gallery';
export declare enum SettingOptions {
    INFO = "information",
    PASSWORD = "password",
    USERPOLICY = "userpolicy",
    MAIL = "mail"
}
export declare class SystemSettingsComponent implements OnInit, IDirty {
    protected route: ActivatedRoute;
    protected router: Router;
    viewDirty: IDirty;
    selected: string;
    mode: string;
    templateDefinition: Definition;
    basePath: string;
    constructor(route: ActivatedRoute, router: Router);
    /**
     * Método utilizado para saber si un formulario ha sido modificado
     */
    isDirty(): boolean;
    getRef(): ViewContainerRef;
    ngOnInit(): void;
    changeView(view: any): void;
}
